GDB (xrefs)

Public Attributes | List of all members
dwarf2_per_cu_quick_data Struct Reference

## Public Attributes
struct quick_file_names * | file_names
struct compunit_symtab * | compunit_symtab
unsigned int | mark: 1
unsigned int | no_file_data: 1

## Detailed Description

Definition at line 2953 of file dwarf2read.c.

## Member Data Documentation

## ◆ compunit_symtab

struct compunit_symtab* dwarf2_per_cu_quick_data::compunit_symtab

Definition at line 2962 of file dwarf2read.c.

Referenced by dw2_do_instantiate_symtab(), dw2_expand_symtabs_matching_one(), dw2_expand_symtabs_with_fullname(), dw2_find_pc_sect_compunit_symtab(), dw2_instantiate_symtab(), dw2_map_expand_apply(), dw2_map_symbol_filenames(), dw2_map_symtabs_matching_filename(), dw2_print_stats(), dw2_symtab_iter_next(), dw_expand_symtabs_matching_file_matcher(), fill_in_sig_entry_from_dwo_entry(), get_compunit_symtab(), dw2_debug_names_iterator::next(), process_full_comp_unit(), process_full_type_unit(), and process_queue().

## ◆ file_names

struct quick_file_names* dwarf2_per_cu_quick_data::file_names

Definition at line 2958 of file dwarf2read.c.

Referenced by dw2_get_file_names(), dw2_get_file_names_reader(), and dw2_map_symbol_filenames().

## ◆ mark

unsigned int dwarf2_per_cu_quick_data::mark

Definition at line 2966 of file dwarf2read.c.

Referenced by dw2_expand_symtabs_matching_one(), and dw_expand_symtabs_matching_file_matcher().

## ◆ no_file_data

unsigned int dwarf2_per_cu_quick_data::no_file_data

Definition at line 2970 of file dwarf2read.c.

Referenced by dw2_get_file_names(), and dw2_get_file_names_reader().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/dwarf2read.c